Subject: Re: PATCH: Allow / in full pattern alternations
From: Bart Schaefer <[email-masked]>
To: [email-masked]
Date: Mon, 11 Apr 2016 07:44:20 -0700
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On Apr 11,  2:06pm, Mikael Magnusson wrote:
}
} Well, it was a bit easier than I thought.

What you've done is pretty close to what I was expecting/explaining
with respect to adding it as a parameter flag, except without actually
splitting up zglob() or looping over a parameter value.

This sort of thing would actually be easier in the ksh model where a
prefix character tells you what to expect from the parenthesized group
that follows.  Maybe we can do the same with an extendedglob marker
similar to (#m) [yes, I know (#m) itself doesn't work in globbing].